\begin{tabular}{llrr}
\toprule
   &            &        RE &  Deviation \\
Data preparation & Model &           &            \\
\midrule
Random forest & DBSCAN &  0.103047 &   0.024855 \\
Exponention smoothing & Threshold &  0.111782 &   0.034908 \\
Neighbors' difference & Spectral clustering &  0.126148 &   0.048330 \\
Exponention smoothing & DBSCAN &  0.126416 &   0.020852 \\
Neighbors' difference & DBSCAN &  0.133170 &   0.087380 \\
Linear regression & DBSCAN &  0.134778 &   0.097697 \\
Ridge regression & DBSCAN &  0.135168 &   0.097999 \\
Gradient boosting & DBSCAN &  0.153596 &   0.088989 \\
Neighbors' difference & Threshold &  0.153825 &   0.090630 \\
STL decomposition & DBSCAN &  0.154641 &   0.023832 \\
Exponential smoothing & Local outlier factor &  0.166207 &   0.032691 \\
   & Elliptic envelope &  0.170088 &   0.034635 \\
   & Isolation forest &  0.171748 &   0.031803 \\
   & SVM &  0.172946 &   0.033881 \\
No & ADTK Autoregression &  0.181793 &   0.082505 \\
   & Prophet &  0.188119 &   0.102221 \\
Additive decomposition & DBSCAN &  0.238772 &   0.192679 \\
Moving average & Baseline 2 &  0.343612 &   0.024371 \\
No & luminol &  0.480883 &   0.165741 \\
   & Baseline 1 &  1.000000 &   0.000000 \\
\bottomrule
\end{tabular}
